Subject: [bug#28696] [PATCH 0/5] Support UUIDs for the EFI System Partition (FAT)

From: Roel Janssen <[email-masked]>
Date: Mon, 09 Oct 2017 22:54:04 +0200

Ludovic Courtès writes:

> Hello!
>
> This patch series fixes what Roel reported at
> <https://lists.gnu.org/archive/html/help-guix/2017-09/msg00094.html>: it
> allows users to refer to their EFI System Partition and to FAT file
> systems in general by UUID.
>
> I’ve tested it on my UEFI laptop where /boot/efi is actually FAT16, not
> FAT32 (I suppose UEFI supports both).
>
> Let me know what you think!
>
> Ludo’.
>
> Ludovic Courtès (5):
>   file-systems: 'mount-file-system' now takes a <file-system> object.
>   file-systems: Preserve UUID types when serializing.
>   file-systems: Add support for FAT16.
>   uuid: Change "fat32" to "fat".
>   doc: Give an example with a FAT UUID.
>
>  doc/guix.texi                                |   5 ++
>  gnu/build/file-systems.scm                   | 115 +++++++++++++++++----------
>  gnu/build/linux-boot.scm                     |  20 ++---
>  gnu/build/linux-container.scm                |   3 +-
>  gnu/services/base.scm                        |   6 +-
>  gnu/system/examples/lightweight-desktop.tmpl |   8 +-
>  gnu/system/file-systems.scm                  |  10 ++-
>  gnu/system/linux-initrd.scm                  |   6 +-
>  gnu/system/uuid.scm                          |  30 +++----
>  9 files changed, 126 insertions(+), 77 deletions(-)

Sorry for the delay.  It's really awesome that you've work so hard to
fix the issue I reported.  I really appreciate it!

I tried it with:
  (file-system
    (title 'uuid)
    (device (uuid "72E5-26A0" 'fat))
    (mount-point "/boot/efi")
    (type "vfat"))

And it works.  These changes look good to me.

Thanks again,
Roel Janssen